Skip to main content
POST
/
haulers
/
{hauler_uuid}
/
connections
Create Connection
curl --request POST \
  --url https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tenant_code": "<string>"
}
'
import requests

url = "https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections"

payload = { "tenant_code": "<string>" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({tenant_code: '<string>'})
};

fetch('https://api.crosoftware.com/v0/haulers/{hauler_uuid}/connections', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "approved_by": 123,
  "approved_on": "2023-11-07T05:31:56Z",
  "denied_on": "2023-11-07T05:31:56Z",
  "is_approved": true,
  "location_id": 123,
  "provider_id": 123,
  "provider_name": "<string>",
  "requested_on": "2023-11-07T05:31:56Z",
  "third_party_hauler_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string

Version identifier (date format).

x-tenant-id
integer<int64>

Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.

Path Parameters

hauler_uuid
string<uuid>
required

Third party hauler identifier.

Body

application/json

Create third party hauler connection request model.

tenant_code
string
required

Confirmation code for hauler creation.

Response

200 - application/json

Success

Third party hauler connection profile.

approved_by
integer<int64>
required

Approved by.

approved_on
string<date-time>
required

Approval date.

denied_on
string<date-time>
required

Denial date.

is_approved
boolean
required

Approved record state.

location_id
integer<int64>
required

Location identifier.

provider_id
integer<int64>
required

Bin provider identifier.

provider_name
string
required

Name (free text).

requested_on
string<date-time>
required

Requested date.

third_party_hauler_id
string<uuid>
required

Third party hauler identifier.